CXX = g++
CXXFLAGS = -std=c++11 -Wall

SRCS = main.cpp vanilla_data_feed.cpp encrypted_data_feed.cpp
OBJS = $(SRCS:.cpp=.o)
TARGET = data_feed_server

.PHONY: all clean

all: $(TARGET)

$(TARGET): $(OBJS)
	$(CXX) $(CXXFLAGS) $^ -o $@

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $< -o $@

clean:
	rm -f $(OBJS) $(TARGET)